Bug 156001 - [patch] emulators/wine: add support for gecko (download)
Summary: [patch] emulators/wine: add support for gecko (download)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-28 17:10 UTC by David Naylor
Modified: 2011-05-15 16:32 UTC (History)
0 users

See Also:


Attachments
file.diff (2.44 KB, patch)
2011-03-28 17:10 UTC, David Naylor
no flags Details | Diff
wine_gecko.shar (2.19 KB, application/x-shar)
2011-04-30 10:14 UTC, David Naylor
no flags Details
wine.diff (391 bytes, patch)
2011-04-30 10:14 UTC, David Naylor
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Naylor 2011-03-28 17:10:12 UTC
Every time wine is upgraded, or a new wine prefix is created, it tried to install and update gecko, which it uses for HTML support.  

Gecko is ~12MB and can be a delay in starting wine applications and since wine recommends installing each program in its own prefix this download and install of gecko could happen quite often (for each user of the computer).

Fix: Download the gecko installer and place it in a known location for wine to find.  Wine will then install gecko automatically and not require user intervention or any downloading.  

The attached patch adds this support to the wine port (with an option to disable the download of gecko installer if undesired by user).  

Patch attached with submission follows:
How-To-Repeat: # env PREFIX=/tmp/deleteme winecfg
Comment 1 Edwin Groothuis freebsd_committer 2011-03-28 17:10:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gerald

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Gerald Pfeifer freebsd_committer 2011-04-17 15:54:32 UTC
State Changed
From-To: open->feedback

Thanks for the patch, David.  I've been looking at it a few times 
and there was a vague feeling that I finally managed to drill down: 

Rather than making this (yet) another option, couldn't this become 
a separate port (and thus package) for users to install separately? 

One of the strong points of the FreeBSD Ports Collection is the fact 
that it flexibly supports options when someone builds locally.  One 
of the big drawbacks of the FreeBSD Ports Collection is the fact that 
packages lose this flexibility.  By making this a separate port and 
package, we could address this.   

Would you like to give it a try?  I'll be happy to commit such a new 
port for you and step up as maintainer (or you could maintain it).
Comment 3 David Naylor 2011-04-30 10:14:23 UTC
I have created a separate port for gecko.  I named it wine_gecko but I am 
happy with any better name that you can come up with.  

Wine itself needs its pkg-plist to be fixed, I have attached a patch that does 
that.  

Ideally I would like wine to depend on this port but I am fine if it does not.  

I am happy to maintain this port.  
Comment 4 dfilter service freebsd_committer 2011-05-14 01:22:33 UTC
gerald      2011-05-14 00:21:47 UTC

  FreeBSD ports repository

  Modified files:
    emulators/wine       Makefile distinfo pkg-plist 
    emulators/wine/files patch-dlls-wineoss.drv 
  Log:
  Update to Wine 1.3.20.  This includes the following changes:
   - Option to clip the mouse inside fullscreen windows.
   - Support for persistent HTTP connections.
   - Initial implementation of the XML writer.
   - Support for drawing rectangles in the DIB engine.
   - Volume control in MMDevAPI.
   - More MSVC runtime functions.
   - Various bug fixes.
  
  Two of my three changes for OSS support have been integrated upstream,
  only one remains.
  
  Only tentatively remove $DATADIR/wine upon deinstallation to allow for
  the forthcoming wine-gecko port. [1]
  
  PR:             156001 [1]
  Submitted by:   David Naylor <naylor.b.david@gmail.com> [1]
  
  Revision  Changes    Path
  1.371     +1 -1      ports/emulators/wine/Makefile
  1.229     +2 -2      ports/emulators/wine/distinfo
  1.2       +10 -46    ports/emulators/wine/files/patch-dlls-wineoss.drv
  1.193     +7 -1      ports/emulators/wine/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2011-05-15 16:29:38 UTC
gerald      2011-05-15 15:29:30 UTC

  FreeBSD ports repository

  Modified files:
    emulators            Makefile 
  Added files:
    emulators/wine-gecko Makefile distinfo pkg-descr pkg-plist 
  Log:
  Add the new wine-gecko port, that complements the existing wine port.
  
  Wine implements its own version of Internet Explorer which is based on
  a custom version of Mozilla's Gecko Layout Engine.  This engine is down-
  loaded automatically the first time a web page is loaded unless, as done
  by this port, the engine is pre-installed on the user's system.
  
  PR:             156001
  Submitted by:   David Naylor <naylor.b.david@gmail.com>
  
  Revision  Changes    Path
  1.312     +1 -0      ports/emulators/Makefile
  1.1       +29 -0     ports/emulators/wine-gecko/Makefile (new)
  1.1       +2 -0      ports/emulators/wine-gecko/distinfo (new)
  1.1       +6 -0      ports/emulators/wine-gecko/pkg-descr (new)
  1.1       +4 -0      ports/emulators/wine-gecko/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Gerald Pfeifer freebsd_committer 2011-05-15 16:31:31 UTC
State Changed
From-To: feedback->closed

New port committed, and emulators/wine adjusted.  Thank you!